Recoil = {}

function Recoil.Update(me)

if GetLifetime(me) == 1
then
	child = CreateObject(me,"Pellet","PlayerWeapons",0,2,1,true)
	SetVelocity(child,-6.75 * GetDirection(me))
end

if EndOfAnimation(me)
then
	Kill(me)
end

end